Bug 134727 - [RHEL3 update] missing requires for oo.org-i18n
[RHEL3 update] missing requires for oo.org-i18n
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openoffice.org (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
:
: 141695 (view as bug list)
Depends On:
Blocks: 132991
  Show dependency treegraph
 
Reported: 2004-10-05 15:40 EDT by Elliot Peele
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 02:49:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
OO stack trace (2.49 KB, text/plain)
2004-10-05 16:38 EDT, Jack Neely
no flags Details

  None (edit)
Description Elliot Peele 2004-10-05 15:40:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
The main OO.org package is missing a dep for OO.org-i18n. If i18n
isn't installed openoffice doesn't run.

If a user has never run openoffice it fails when setting up there
preferences. If they have run openoffice before it sig 11s and gives a
nice stack trace.

This is rather anoying since it breaks all new installs.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.2-3

How reproducible:
Always

Steps to Reproduce:
1. Do a fresh install of RHEL 3 WS U3
2. Try to run openoffice

    

Actual Results:  openoffice crashes one way or another

Expected Results:  it should start properly

Additional info:
Comment 1 Jack Neely 2004-10-05 15:46:33 EDT
This bug is considered a show stopper for deploying RHEL and NCSU. 
Kinda hard to be productive when the office suite doesn't work.  :-)

I'd attach the stack trace that OO.org prints out, but it is simply
that the openoffice.org-i18n package is missing.
Comment 2 Dan Williams 2004-10-05 15:50:38 EDT
Ummmm, 1.1.2-x isn't supported on RHEL3 yet.  The latest version of
OOo on RHEL3 is 1.1.0-16.14.EL.

Are you saying that you've tried to compile the most current OOo (from
Fedora Core 3 test 2) on RHEL3?
Comment 3 Elliot Peele 2004-10-05 15:55:12 EDT
This affects openoffice.org-1.1.0-16.14.EL as well. I was just looking
at the most recent version openoffice in rhn when I selected a version
number.
Comment 4 Elliot Peele 2004-10-05 15:56:20 EDT
Oh, and we're not trying to run the 1.1.2-x series.
Comment 5 Dan Williams 2004-10-05 16:32:48 EDT
Ok, in that case, can somebody get a backtrace for me?

Thanks!
Comment 6 Jack Neely 2004-10-05 16:38:37 EDT
Created attachment 104804 [details]
OO stack trace

Here you are...one stack trace from OO
Comment 9 Elliot Peele 2004-10-15 13:18:19 EDT
Any chance of this getting fixed any time soon?
Comment 10 Dan Williams 2004-11-29 21:57:20 EST
Yes, we're going to have a fix for U5.
Comment 11 Dan Williams 2004-12-05 21:54:08 EST
*** Bug 141695 has been marked as a duplicate of this bug. ***
Comment 15 Dan Williams 2005-03-02 00:23:01 EST
openoffice.org-1.1.2-19.2.EL3 has been built for U5 and takes care of this problem.
Comment 16 Dan Williams 2005-03-07 01:00:33 EST
Fixed in:

RHEL3: 1.1.2-22.2.2.EL3
Comment 17 Jay Turner 2005-04-26 02:49:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-375.html

Note You need to log in before you can comment on or make changes to this bug.